[power]: gnome-control-center crashed with SIGSEGV in got_power_proxy_cb()

Bug #929378 reported by Dylan Borg
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
gnome-control-center
Fix Released
Medium
gnome-control-center (Fedora)
Won't Fix
Undecided
gnome-control-center (Ubuntu)
Low
Michael Terry

Bug Description

did an update...then went to change something in online accounts

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: gnome-control-center 1:3.2.2-2ubuntu6
ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
Uname: Linux 3.2.0-14-generic i686
ApportVersion: 1.91-0ubuntu1
Architecture: i386
Date: Thu Feb 9 09:19:15 2012
ExecutablePath: /usr/bin/gnome-control-center
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcCmdline: gnome-control-center power
SegvAnalysis:
 Segfault happened at: 0x10e05d0: mov %eax,0x10(%esi)
 PC (0x010e05d0) ok
 source "%eax" ok
 destination "0x10(%esi)" (0xaaaaaaba) not located in a known VMA region (needed writable region)!
SegvReason: writing unknown VMA
Signal: 11
SourcePackage: gnome-control-center
StacktraceTop:
 ?? () from /usr/lib/control-center-1/panels/libpower.so
 g_simple_async_result_complete () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
 ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
 ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
 g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
Title: gnome-control-center crashed with SIGSEGV in g_simple_async_result_complete()
UpgradeStatus: Upgraded to precise on 2012-02-03 (5 days ago)
UserGroups: adm admin audio cdrom dialout dip fuse lpadmin netdev plugdev sambashare video
usr_lib_gnome-control-center:
 deja-dup 21.2-0ubuntu4
 gnome-bluetooth 3.2.2-0ubuntu1
 indicator-datetime 0.3.1-0ubuntu5

Revision history for this message
Dylan Borg (borgdylan) wrote :
Revision history for this message
Apport retracing service (apport) wrote : Possible regression detected

This crash has the same stack trace characteristics as bug #859217. However, the latter was already fixed in an earlier package version than the one in this report. This might be a regression or because the problem is in a dependent package.

tags: added: regression-retracer
Revision history for this message
Apport retracing service (apport) wrote :

StacktraceTop:
 got_power_proxy_cb (source_object=0x21a6c388, res=0x21e53470, user_data=0x21a1e450) at cc-power-panel.c:358
 g_simple_async_result_complete (simple=0x21e53470) at /build/buildd/glib2.0-2.31.16/./gio/gsimpleasyncresult.c:744
 complete_in_idle_cb (data=0x21e53470) at /build/buildd/glib2.0-2.31.16/./gio/gsimpleasyncresult.c:756
 g_idle_dispatch (source=0x21f79c88, callback=0x94ccd0 <complete_in_idle_cb>, user_data=0x21e53470) at /build/buildd/glib2.0-2.31.16/./glib/gmain.c:4629
 g_main_dispatch (context=0x21952148) at /build/buildd/glib2.0-2.31.16/./glib/gmain.c:2510

Revision history for this message
Apport retracing service (apport) wrote : Stacktrace.txt
Revision history for this message
Apport retracing service (apport) wrote : ThreadStacktrace.txt
Changed in gnome-control-center (Ubuntu):
importance: Undecided → Medium
summary: - gnome-control-center crashed with SIGSEGV in
- g_simple_async_result_complete()
+ gnome-control-center crashed with SIGSEGV in got_power_proxy_cb()
tags: removed: need-i386-retrace
visibility: private → public
summary: - gnome-control-center crashed with SIGSEGV in got_power_proxy_cb()
+ [power]: gnome-control-center crashed with SIGSEGV in
+ got_power_proxy_cb()
Changed in gnome-control-center (Ubuntu):
importance: Medium → Low
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Revision history for this message
In , Anthony (anthony-redhat-bugs) wrote :
Download full text (4.8 KiB)

libreport version: 2.0.8
abrt_version: 2.0.7
backtrace_rating: 4
cmdline: gnome-control-center power
comment: This problem appears while the update process.
crash_function: got_power_proxy_cb
executable: /usr/bin/gnome-control-center
kernel: 3.1.0-7.fc16.i686
pid: 2325
pwd: /home/liveuser
reason: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
smolt_data: Unable to save UUID to /etc/smolt/hw-uuid. Please run once as root.
time: sam. 07 avril 2012 18:58:02 CEST
uid: 1000
username: liveuser
var_log_messages: Apr 7 18:58:21 localhost abrt[2333]: Saved core dump of pid 2325 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-04-07-18:58:02-2325 (35676160 bytes)
xsession_errors: (gnome-control-center:2325): GLib-GObject-WARNING **: invalid cast from `(null)' to `CcPowerPanel'

backtrace: Text file, 24841 bytes
dso_list: Text file, 25288 bytes
maps: Text file, 48178 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=495788586481488e27d23a8100000010-1333822227.304575-1370187989
:IMSETTINGS_MODULE=none
:USER=liveuser
:USERNAME=liveuser
:MAIL=/var/spool/mail/liveuser
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/liveuser/.local/bin:/home/liveuser/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/liveuser
:XMODIFIERS=@im=none
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/liveuser
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=liveuser
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1NHPl5Nbnt,guid=08534546278c0afee139653e00000056
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/liveuser
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-liveuser-WGn5Nc/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1056,unix/unix:/tmp/.ICE-unix/1056
:GNOME_KEYRING_CONTROL=/tmp/keyring-5wOdEP
:SSH_AUTH_SOCK=/tmp/keyring-5wOdEP/ssh
:GPG_AGENT_INFO=/tmp/keyring-5wOdEP/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1321-localhost.localdomain-gnome-control-center-7_TIME2923369
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-power-panel.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2325

event_log:
:2012-04-07-19:01:28> Interrogation des paramètres de serveur
:2012-04-07-19:01:30 Préparation de l'archive à envoyer
:2012-04-07-19:01:37 Envoi de 2 mégaoctets
:2012-04-07-19:01:47 Transfert en cours 32%
:2012-04-07-19:01:57 Transfert en cours 67%
:2012-04-07-19:02:05 Transfert réussi
:2012-04-07-19:02:07 Le travail de retrace a commencé
:2012-04-07-19:02:18 Analyzing crash data
:2012-04-07-19:02:29 Analyzing crash data
:2012-04-07-19:02:40 Analyzing crash data
:2012-04-07-19:02:51 Initializing virtual root
:2012-04-07-19:03:02 Initializing virtual root
:2012-04-07-19:03:13 Initializing virtual root
:2012-04-07-19:03:24 Initializing virtual root
:2012-04-07-19:03:35 Initializing v...

Read more...

Revision history for this message
In , Anthony (anthony-redhat-bugs) wrote :

Created attachment 575952
File: backtrace

Revision history for this message
In , Anthony (anthony-redhat-bugs) wrote :

Created attachment 575953
File: maps

Revision history for this message
In , Anthony (anthony-redhat-bugs) wrote :

Created attachment 575954
File: dso_list

Changed in gnome-control-center (Ubuntu):
assignee: nobody → Michael Terry (mterry)
status: Confirmed → Triaged
Changed in gnome-control-center:
importance: Unknown → Medium
status: Unknown → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.4.2-0ubuntu14

---------------
gnome-control-center (1:3.4.2-0ubuntu14) quantal; urgency=low

  * debian/patches/power_cancellable_fixes.patch:
    - Fix a possible crash in the power panel (LP: #929378)
 -- Michael Terry <email address hidden> Thu, 06 Sep 2012 17:29:43 -0400

Changed in gnome-control-center (Ubuntu):
status: Triaged → Fix Released
Changed in gnome-control-center:
status: New → Fix Released
Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 16 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in gnome-control-center (Fedora):
importance: Unknown → Undecided
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.